<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.3
Name: Voorschriftquery
Description: Deze query is bedoeld om selectiecriteria te specificeren voor het opvragen van medicatievoorschriften bij een voorschrijvend systeem. Het uitgangspunt is dat één of meer criteria worden benoemd waarop een voorschrijvend systeem een selectie moet kunnen maken uit de binnen het systeem gegenereerde en vastgelegde voorschriften. In de context van AORTA is de parameter op basis van patiëntnummer verplicht. 
                 Verdere informatie 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.3-2013-05-21T000000">
   <title>Voorschriftquery</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.3
Context: /
Item: (MedicationCombinedOrderQuery)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.3
Context: /hl7:QURX_MT990001NL
Item: (MedicationCombinedOrderQuery)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.3
Context: /hl7:QURX_MT990001NL/hl7:ControlActProcess
Item: (MedicationCombinedOrderQuery)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.3
Context: /hl7:QURX_MT990001NL/hl7:ControlActProcess/hl7:queryByParameter[hl7:patientID]
Item: (MedicationCombinedOrderQuery)
-->

   <rule context="/hl7:QURX_MT990001NL/hl7:ControlActProcess/hl7:queryByParameter[hl7:patientID]"
         id="d20e8085-false-d132712e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/medicatieproces/mp-html-20200122T161947/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.3-2013-05-21T000000.html"
              test="count(hl7:administrationRequestEffectiveTimeInterval) &lt;= 1">(MedicationCombinedOrderQuery): element hl7:administrationRequestEffectiveTimeInterval komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/medicatieproces/mp-html-20200122T161947/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.3-2013-05-21T000000.html"
              test="count(hl7:medicationCombinedOrderID) &lt;= 1">(MedicationCombinedOrderQuery): element hl7:medicationCombinedOrderID komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/medicatieproces/mp-html-20200122T161947/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.3-2013-05-21T000000.html"
              test="count(hl7:patientID[not(@nullFlavor)]) &gt;= 1">(MedicationCombinedOrderQuery): element hl7:patientID[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/medicatieproces/mp-html-20200122T161947/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.3-2013-05-21T000000.html"
              test="count(hl7:patientID[not(@nullFlavor)]) &lt;= 1">(MedicationCombinedOrderQuery): element hl7:patientID[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.3
Context: /hl7:QURX_MT990001NL/hl7:ControlActProcess/hl7:queryByParameter[hl7:patientID]/hl7:administrationRequestEffectiveTimeInterval
Item: (MedicationCombinedOrderQuery)
-->

   <rule context="/hl7:QURX_MT990001NL/hl7:ControlActProcess/hl7:queryByParameter[hl7:patientID]/hl7:administrationRequestEffectiveTimeInterval"
         id="d20e8087-false-d132740e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/medicatieproces/mp-html-20200122T161947/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.3-2013-05-21T000000.html"
              test="count(hl7:value[not(@nullFlavor)]) &gt;= 1">(MedicationCombinedOrderQuery): element hl7:value[not(@nullFlavor)] is mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.3
Context: /hl7:QURX_MT990001NL/hl7:ControlActProcess/hl7:queryByParameter[hl7:patientID]/hl7:administrationRequestEffectiveTimeInterval/hl7:value[not(@nullFlavor)]
Item: (MedicationCombinedOrderQuery)
-->

   <rule context="/hl7:QURX_MT990001NL/hl7:ControlActProcess/hl7:queryByParameter[hl7:patientID]/hl7:administrationRequestEffectiveTimeInterval/hl7:value[not(@nullFlavor)]"
         id="d20e8115-false-d132754e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/medicatieproces/mp-html-20200122T161947/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.3-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationCombinedOrderQuery): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.3
Context: /hl7:QURX_MT990001NL/hl7:ControlActProcess/hl7:queryByParameter[hl7:patientID]/hl7:medicationCombinedOrderID
Item: (MedicationCombinedOrderQuery)
-->

   <rule context="/hl7:QURX_MT990001NL/hl7:ControlActProcess/hl7:queryByParameter[hl7:patientID]/hl7:medicationCombinedOrderID"
         id="d20e8118-false-d132764e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/medicatieproces/mp-html-20200122T161947/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.3-2013-05-21T000000.html"
              test="count(hl7:value[not(@nullFlavor)]) &gt;= 1">(MedicationCombinedOrderQuery): element hl7:value[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/medicatieproces/mp-html-20200122T161947/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.3-2013-05-21T000000.html"
              test="count(hl7:value[not(@nullFlavor)]) &lt;= 1">(MedicationCombinedOrderQuery): element hl7:value[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.3
Context: /hl7:QURX_MT990001NL/hl7:ControlActProcess/hl7:queryByParameter[hl7:patientID]/hl7:medicationCombinedOrderID/hl7:value[not(@nullFlavor)]
Item: (MedicationCombinedOrderQuery)
-->

   <rule context="/hl7:QURX_MT990001NL/hl7:ControlActProcess/hl7:queryByParameter[hl7:patientID]/hl7:medicationCombinedOrderID/hl7:value[not(@nullFlavor)]"
         id="d20e8133-false-d132780e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/medicatieproces/mp-html-20200122T161947/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.3-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationCombinedOrderQuery): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.3
Context: /hl7:QURX_MT990001NL/hl7:ControlActProcess/hl7:queryByParameter[hl7:patientID]/hl7:patientID[not(@nullFlavor)]
Item: (MedicationCombinedOrderQuery)
-->

   <rule context="/hl7:QURX_MT990001NL/hl7:ControlActProcess/hl7:queryByParameter[hl7:patientID]/hl7:patientID[not(@nullFlavor)]"
         id="d20e8136-false-d132790e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/medicatieproces/mp-html-20200122T161947/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.3-2013-05-21T000000.html"
              test="count(hl7:value[not(@nullFlavor)]) &gt;= 1">(MedicationCombinedOrderQuery): element hl7:value[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/medicatieproces/mp-html-20200122T161947/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.3-2013-05-21T000000.html"
              test="count(hl7:value[not(@nullFlavor)]) &lt;= 1">(MedicationCombinedOrderQuery): element hl7:value[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.3
Context: /hl7:QURX_MT990001NL/hl7:ControlActProcess/hl7:queryByParameter[hl7:patientID]/hl7:patientID[not(@nullFlavor)]/hl7:value[not(@nullFlavor)]
Item: (MedicationCombinedOrderQuery)
-->

   <rule context="/hl7:QURX_MT990001NL/hl7:ControlActProcess/hl7:queryByParameter[hl7:patientID]/hl7:patientID[not(@nullFlavor)]/hl7:value[not(@nullFlavor)]"
         id="d20e8151-false-d132806e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/medicatieproces/mp-html-20200122T161947/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.3-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationCombinedOrderQuery): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
